# Class goog.testing.FunctionCall

code »

Struct for a single function call.

## Constructor

goog.testing.FunctionCall ( func, thisContext, args, ret, error )

Parameters

func: `!Function`
  The called function.
thisContext: `!Object`
  `this` context of called function.
args: `!Arguments`
  Arguments of the called function.
ret: `*`
  Return value of the function or undefined in case of error.
error: `*`
  The error thrown by the function or null if none.

Show:Public Protected Private

## Instance Methods

code »getArgument ( index ) ⇒ `*`

Returns the nth argument of the called function.

Parameters

index: `number`
  0-based index of the argument.

Returns

The argument value or undefined if there is no such argument.

code »getArguments ( ) ⇒ `!Array`

Returns

Arguments of the called function.

code »getError ( ) ⇒ `*`

Returns

The error thrown by the function or null if none.

code »getFunction ( ) ⇒ `!Function`

Returns

The called function.

code »getReturnValue ( ) ⇒ `*`

Returns

Return value of the function or undefined in case of error.

code »getThis ( ) ⇒ `!Object`

Returns

`this` context of called function. It is the same as the created object if the function is a constructor.

## Instance Properties

code »goog.testing.FunctionCall.prototype.arguments_ : `Array`
code »error_ : `*`
code »returnValue_ : `*`
code »thisContext_ : `Object`